import javax.xml.ws.Holder;

@SuppressWarnings("unchecked")
public class MultipleReturnValuesWithHolder
{
  static void productAndSum( int a, int b, Holder sum, Holder product )
  {
    sum.value = a + b;
    product.value = a * b;
  }

  public static void main( String[] args )
  {
    Holder sum     = new Holder();
    Holder product = new Holder();
    productAndSum( 9, 3, sum, product );
    System.out.printf( "sum=%s product=%s", sum.value, product.value ); // sum=12 product=27
  }
}
